Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.server
Class ServerGame

    java.lang.Object
      vutbr.checkers.game.Game
          vutbr.checkers.server.ServerGame

    public class ServerGame

extends Game

Nested Class Summary

Nested classes/interfaces inherited from class vutbr.checkers.game.Game
`Game.GameColor`

Constructor Summary
`ServerGame(Server server, java.lang.String loginWhite, java.lang.String loginBlack)` Konstruktor

Method Summary
`java.lang.String` | `getLoginBlack()` Vrati login cerneho hrace
`java.lang.String` | `getLoginWhite()` Vrati login bileho hrace
`Server` | `getServer()` Vrati server
`void` | `setLoginBlack(java.lang.String loginBlack)` Nastavi login cerneho hrace
`void` | `setLoginWhite(java.lang.String loginWhite)` Nastavi login bileho hrace
`void` | `setServer(Server server)` Nastavi server
`boolean` | `turn(int x, int y, int toX, int toY)` Provede tah figurkou
`boolean` | `turnEnd()` Ukonci tah

Methods inherited from class vutbr.checkers.game.Game
`getBoard, getGameHistory, getOnTurn, isGameEnd, setOnTurn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerGame

    public ServerGame(Server server,
                      java.lang.String loginWhite,
                      java.lang.String loginBlack)

  Konstruktor

  Parameters:
    `server` - Server
    `loginWhite` - Login bileho hrace
    `loginBlack` - Login cerneho hrace

Method Detail

### turn

    public boolean turn(int x,
                        int y,
                        int toX,
                        int toY)

  Provede tah figurkou

  Overrides:
    `turn` in class `Game`
  Parameters:
    `x` - Zdrojova souradnice X
    `y` - Zdrojova souradnice Y
    `toX` - Cilova souradnice X
    `toY` - Cilova souradnice Y
  Returns:
    True pokud se tah povedl

### turnEnd

    public boolean turnEnd()

  Ukonci tah

  Overrides:
    `turnEnd` in class `Game`
  Returns:
    True pokud se konec tahu povedl

### setServer

    public void setServer(Server server)

  Nastavi server

  Parameters:
    `server` - Server

### getServer

    public Server getServer()

  Vrati server

  Returns:
    Server

### setLoginWhite

    public void setLoginWhite(java.lang.String loginWhite)

  Nastavi login bileho hrace

  Parameters:
    `loginWhite` - Login bileho hrace

### setLoginBlack

    public void setLoginBlack(java.lang.String loginBlack)

  Nastavi login cerneho hrace

  Parameters:
    `loginBlack` - Login cerneho hrace

### getLoginWhite

    public java.lang.String getLoginWhite()

  Vrati login bileho hrace

  Returns:
    Login bileho hrace

### getLoginBlack

    public java.lang.String getLoginBlack()

  Vrati login cerneho hrace

  Returns:
    Login cerneho hrace

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD